Linux: Pakete bertsio zehatz bat nola instalatu

No profile photo Atxukale | 2018-12-30 20:48
1

Ez da kontu arrunta, baina batzuetan arazo hau izan dezakegu: Auskalo zergatik, pakete baten bertsio zehatz bat instalatu nahi dugu, baina gure Debian/Ubuntu sistemak berriago bat jartzen digu.

Normalean gomendagarriena sitemak berak proposatzen digun bertsioa jartzea izango da, baina posible ere bada aurreko bertsio bat nahi dugula esatea.

Adibidez, nire ordenagailuan Ubuntu 18.10 (cosmic) dut, eta gaur egun sistemak proposatzen didan openvpn bertsioa 2.4.6-1ubuntu2 da.

Nik instalatu nahi dudan openvpn bertsioa Ubuntu 17.10(artful)-k zeukana da,  2.4.3-4ubuntu1 bertsioa alegia.

Lau pauso hauekin gure helburua lortuko genuke:

1.- Errepositorioetan artful bertsioa gehitu

/etc/apt/sources.list fitxategiaren bukaeran lerro hau gehitzen dugu

# openvpn zaharra ekartzeko
deb http://security.ubuntu.com/ubuntu artful main

2.- Ondoren pakete zerrenda eguneratu

sudo apt-get update

3.- Orain pakete bertsio zehatza instalatzeko eskatu

sudo apt-get install openvpn=2.4.3-4ubuntu1

4.- Eta azkenik, sistemari esan aurrerantzean openvpn paketearen bertsio berriagoak egon arren, ez eguneratzeko

sudo apt-mark hold openvpn

 


Utzi iruzkina: